
/***************************************************************************
* Author:
*	-Kev	(mailto:kevin_bertram@hp.com)
*
*     Copyright (c) 2001 Hewlett Packard Pty. Ltd., All Rights Reserved.
*     
*     This program is free software; you can redistribute it and/or 
*     modify it under the terms of the GNU General Public License as 
*     published by the Free Software Foundation; either version 2 of 
*     the License, or (at your option) any later version.
* 
*     This program is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*     GNU General Public License for more details.
* 
*     You should have received a copy of the GNU General Public License 
*     along with this program; if not, write to the Free Software 
*     Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
*     MA 02111-1307 USA
*
* FILE:
*   files.h
*
****************************************************************************
* Purpose:
*
*   Automatic PPP connection using IrNET. This program listens to events
*	in /dev/irnet and creates a PPP connection if it detects a connection
*	request
*
*   The original concept was derived from:
*
*		Luiz Magalhaes - HPL '00 (luiz_magalhaes@hp.com)
*		Jean Tourrilhes - HPL '00 <jt@hpl.hp.com>
*
*	The node "/dev/irnet" is at major 10, minor 187.
*
*	This module manages the external files, most notibly /etc/hosts file.
*****************************************************************************/

#ifndef	FILES_H_INCLUDED
#define	FILES_H_INCLUDED


/**** Define functions prototypes that can be accessed from outside the module ****/

extern	         int	AddToHosts( char * command );
extern	         int	RemoveFromHosts( char * command );
extern	         int	AddEntryToHosts( char * ipadrs, char * new_entry );
extern	         int	RemoveEntryFromHosts( char * ipadrs );
extern	         int	FindEntryInHosts( char * ipadrs );
extern	         int	FindNameInHosts( char * name );
extern	        void	CleanHostFile( void );
extern	         int	GetIpAddress( unsigned int * adrs );
extern	         int	MasterMode( int mode );
extern	         int	IsIrdaDevices( void );
extern	         int	IsMaster( void );

extern	unsigned int	PruneAddress( unsigned int adrs );

#endif


/*********************************  EOF *************************************/

